Package wx :: Package lib :: Package floatcanvas :: Module FloatCanvas :: Class SquarePoint

[frames | no frames]

## Class SquarePoint

    ColorOnlyMixin --+
                     |
        DrawObject --+
                     |
     XYObjectMixin --+
                     |
                    SquarePoint

The SquarePoint class takes a 2-tuple, or a (2,) NumPy array of point coordinates. It produces a square dot, centered on Point

The Size is in screen points, not world coordinates, so the Bounding box is just the point, and doesn't include the Size.

The HitLineWidth is used as diameter for the Hit Test.

Method Summary
| `__init__(self, Point, Color, Size, InForeground)`
| `SetSize(self, Size)`

Class Variable Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:31 2007 | http://epydoc.sf.net